dns:
  enable: true
  listen: 0.0.0.0:1053
  ipv6: true
  respect-rules: true
  enhanced-mode: fake-ip
  use-hosts: true
  proxy-server-nameserver:
    - 8.8.8.8
  nameserver:
    - tls://9.9.9.9
    - tls://1.1.1.1
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter:
    - "*"
    - "+.lan"
    - "+.local"
    - "+.stun.*.*"

proxies:
  - name: HKG-5
    type: ss
    server: 83.147.60.37
    port: 10101
    cipher: 2022-blake3-aes-128-gcm
    password: O7lp8B0kCbF1b6CZ4UzWFw==
    udp: true

proxy-groups:
  - name: Proxy
    type: select
    proxies:
      - DIRECT
      - REJECT
      - HKG-5

rules:
  - DOMAIN-SUFFIX,dlandroid.rcv.sandai.net,Proxy
  - DOMAIN-SUFFIX,hub5idx.v6.shub.sandai.net,Proxy
  - DOMAIN-SUFFIX,hub5pn.wap.sandai.net,Proxy
  - DOMAIN-SUFFIX,hub5pnc.sandai.net,Proxy
  - DOMAIN-SUFFIX,hub5pr.v6.phub.sandai.net,Proxy
  - DOMAIN-SUFFIX,hubciddata.sandai.net,Proxy
  - DOMAIN-KEYWORD,mypikpak,Proxy

  - MATCH,DIRECT
